Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.util
Interface MemberCollector.MethodFilter

Enclosing class:
  MemberCollector

    public static interface MemberCollector.MethodFilter

Filter used during the collection of methods to restrict the kind of collected methods.

Note: The method filter influences override detection! If a method A overrides a method A*, without a filter only A would be collected. If the filter only accepts A* and not A, A will not be collected, and A* will be collected despite being overridden by A.

Method Summary
`boolean` | `accept(MethodLiteral<?,java.lang.reflect.Method> method)`

Method Detail

### accept

    boolean accept(MethodLiteral<?,java.lang.reflect.Method> method)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD